import { BaseView, IBaseViewOptions } from "../../BaseView.js";
import GridView from "./GridView.js";
import GroupModel from "../../../Models/GroupModel.js";
import FooterView from "./FooterView.js";
export interface IGridDescriptionResizerOptions extends IBaseViewOptions {
    grid: GridView;
    footer: FooterView;
    source: GroupModel;
}
export default class FooterResizer extends BaseView {
    private m_footer;
    private m_grid;
    constructor(options: IGridDescriptionResizerOptions);
    protected get source(): GroupModel;
    private get footer();
    private get grid();
    template(): string | Array<string> | JQuery;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    protected onDestroy(e: Jade.UI.ControlEventArgs): void;
    private draggable_init;
    private setPosition;
    private dragStart;
    private dragStop;
}
